## fglrx-installer 14.201

=== debian/changelog ===
fglrx-installer (1:14.201-0ubuntu2wataugafour2) precise; urgency=medium

  * bump version.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 17 Nov 2014 09:23:26 +0000

fglrx-installer (1:14.201-0ubuntu2wataugafour1) precise; urgency=medium

  * build for Watauga4

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 16 Nov 2014 09:23:26 +0000

fglrx-installer (2:14.201-0ubuntu2) utopic; urgency=medium

  * debian/fglrx-core.postinst.in, debian/fglrx-core.postrm.in,
    debian/rules:
    - Avoid alternatives clash caused by the addition of the
      fglrx-core package.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 14 Oct 2014 10:57:02 +0200

fglrx-installer (2:14.201-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control.in, debian/com.ubuntu.amdcccle.pkexec.policy:
    - Make amdcccle depend on polkit-1.
    - Use pkexec for amdcccle when running Unity.
  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for xorg-video-abi-18 (LP: #1359769).
  * debian/71-fglrx.rules:
    - Tag the device for logind (LP: #1365336).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Sep 2014 17:48:30 +0200

fglrx-installer (2:13.350.1-0ubuntu3) utopic; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.15.patch:
    - Add support for Linux 3.15.
  * debian/patches/call-amdcccle-with-full-path.diff:
    - Pass amdxdg the full path.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 27 Jun 2014 16:39:59 +0200

=== debian/control ===
Source: fglrx-installer
Section: restricted/misc
Priority: extra
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
Build-Depends: debhelper (>= 7),
               dh-modaliases,
               libxext6,
               libxrandr2,
               libice6,
               libsm6,
               libfontconfig1,
               libxi6,
               libxcursor1,
               fakeroot,
               libdrm2,
               libgl1-mesa-glx,
               libxinerama1,
               libqtgui4,
               xserver-xorg-dev (>= 2:1.10.0),
               execstack,
               file
Standards-Version: 3.8.3
Homepage: http://support.amd.com

Package: fglrx-core
Architecture: amd64 i386
Depends: ${shlibs:Depends}, lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
 ${misc:Depends}
Provides: fglrx-driver-core, libopencl1
Conflicts: fglrx-driver-core, libopencl1
Replaces: fglrx-driver-core, libopencl1
Description: Minimal video driver for the AMD graphics accelerators
 Minimal video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides 2D display drivers.

Package: fglrx
Architecture: amd64 i386
Recommends: fglrx-amdcccle
Depends: ${shlibs:Depends}, fglrx-core,
 ${xviddriver:Depends}, ${misc:Depends}
Provides: fglrx-driver, xorg-driver-binary, ${xviddriver:Provides}
Conflicts: fglrx-driver, xorg-driver-binary
Replaces: fglrx-driver, xorg-driver-binary
XB-Modaliases: ${modaliases}
Description: Video driver for the AMD graphics accelerators
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides 2D display drivers
 and hardware accelerated OpenGL for X11.

Package: fglrx-dev
Architecture: amd64 i386
Depends: fglrx-core | fglrx, ${misc:Depends}
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev, xorg-driver-fglrx-dev, fglrx-dev
Provides: fglrx-driver-dev
Description: Video driver for the AMD graphics accelerators (devel files)
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions.

Package: fglrx-amdcccle
Architecture: amd64 i386
Depends: fglrx, policykit-1, ${shlibs:Depends}, ${misc:Depends}
Conflicts: fglrx-control-qt2, fglrx-control
Replaces: fglrx-control, fglrx-amdcccle
Provides: fglrx-control
Description: Catalyst Control Center for the AMD graphics accelerators
 Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides the Catalyst Control Center, Linux Edition

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2002-2005 Flavio Stanchina
# Copyright (C) 2005-2006 Aric Cyr
# Copyright (C) 2007-2010 Mario Limonciello
# Copyright (C) 2009-2011 Canonical Ltd.

# Figure out some magic versioning
CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1 | cut -d\: -f2)
DVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
DISTRO   := $(shell dpkg-parsechangelog | grep '^Distribution:' | cut -d' ' -f2 | cut -d\: -f2)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# If the host is i386 set OTHER_ARCH to x86_64 and vice versa
OTHER_ARCH := $(shell (echo "$(DEB_HOST_MULTIARCH)" | grep i386 >/dev/null) && \
		echo "$(DEB_HOST_MULTIARCH)" | sed s/i386/x86_64/ || \
		echo "$(DEB_HOST_MULTIARCH)" | sed s/x86_64/i386/)

# Fallback for local debuild
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Hack for pbuild which would otherwise fail to call execstack
PATH := $(PATH):/usr/sbin

# Package names
PKG_flavour     := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p' | sed 's/fglrx\-installer\-//g')
# If it's the standard flavour then we set the flavour to ""
ifeq ("$(PKG_flavour)", "fglrx-installer")
	PKG_flavour := ""
else
	PKG_flavour := "-$(PKG_flavour)"
endif
PKG_driver      := fglrx$(PKG_flavour)
PKG_driver_dev  := $(PKG_driver)-dev
PKG_driver_core := $(PKG_driver)-core
PKG_control     := fglrx-amdcccle$(PKG_flavour)
PKG_source      := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
PKG_module      := $(shell echo "$(PKG_driver)" | sed s/\-/_/g)

# Priority of the alternatives
alt_priority         := 1000
PX_alt_priority      := 900
CORE_priority        := $(alt_priority)
UNBLKLST_CORE_priority  := $(PX_alt_priority)

#Directory naming schemes
PKG_dirname          := fglrx
bindir               := usr/bin
sbindir              := usr/sbin
datadir              := usr/share
PKG_datadir          := $(datadir)/$(PKG_dirname)
libdir               := usr/lib
libdir32             := usr/lib32
includedir           := usr/include
sysconfdir           := etc
PKG_libdir           := $(libdir)/$(PKG_dirname)
PKG_libdir32         := $(libdir32)/$(PKG_dirname)
xorg_libdir          := $(libdir)/xorg
xorg_extra_modules   := $(libdir)/$(DEB_HOST_MULTIARCH)/xorg/extra-modules
xorg_extensionsdir   := $(xorg_libdir)/modules/extensions
PKG_driversdir       := $(PKG_libdir)/xorg
PKG_extensionsdir    := $(PKG_driversdir)
PKG_bindir           := $(PKG_libdir)/bin
PKG_deskdir          := $(PKG_datadir)
PKG_configdir        := $(PKG_libdir)
ld_so_conf_dir       := $(PKG_configdir)
ld_so_conf_file      := ld.so.conf
alt_ld_so_conf_file  := alt_ld.so.conf
ld_so_conf_path      := $(ld_so_conf_dir)/$(ld_so_conf_file)
alt_ld_so_conf_path  := $(ld_so_conf_dir)/$(alt_ld_so_conf_file)
mandir               := usr/share/man/man1
PKG_bugdir           := usr/share/bug/$(PKG_dirname)
autostartdir         := etc/xdg/autostart
PKG_autostartdir     := $(PKG_configdir)

PKG_xmoddir  := $(PKG_libdir)/xorg/modules

PX_dirname := pxpress
PX_dir := $(libdir)/$(PX_dirname)
PX_dir32 := $(libdir32)/$(PX_dirname)
PX_xmoddir := $(PX_dir)/xorg/modules
PX_libdir := $(PX_dir)/lib
PX_libdir32 := $(PX_dir32)/lib
PX_ld_so_conf := $(PX_dir)/$(ld_so_conf_file)
PX_ld_so_conf_alt := $(PX_dir)/$(alt_ld_so_conf_file)

CORE_dirname := fglrx-core
CORE_dir     := $(libdir)/$(CORE_dirname)
CORE_dir32     := $(libdir32)/$(CORE_dirname)
CORE_ld_so_conf := $(CORE_dir)/$(ld_so_conf_file)
CORE_libdir := $(CORE_dir)/lib
CORE_libdir32 := $(CORE_dir32)/lib

# This is remove fglrx from the blacklist
UNBLKLST_CORE_ld_so_conf_file  := unblacklist_ld.so.conf
UNBLKLST_CORE_ld_so_conf := $(CORE_dir)/$(UNBLKLST_CORE_ld_so_conf_file)

# This is a hack to make sure that
# the blacklist file is available
# early in the boot process when
# /usr is on a separate partition.
# See LP: #538071.
PKG_libconfdir := lib/$(PKG_dirname)

# Paths to the dirs from the installer
ifeq ($(DEB_HOST_ARCH),amd64)
	SRC_libdir  := lib64
	SRC_arch    := x86_64
	SRC_other_arch := x86
	SRC_xarch   := xpic_64a
else
	SRC_libdir   := lib
	SRC_arch     := x86
	SRC_other_arch := x86_64
	SRC_xarch    := xpic
endif

#These "define" bits are needed for the blacklist file
define newline


endef

define blacklist_file
# This file was installed by $(PKG_driver)
# Do not edit this file manually

blacklist radeon
alias fglrx $(PKG_module)
alias radeon off
alias lbm-radeon off
endef

# DEB_DH_SHLIBDEPS_ARGS_ALL="-Xlib32"

refresh_copyright:
	# refresh copyright file
	cat debian/copyright_stub_0 > debian/copyright
	cat usr/share/doc/fglrx/LICENSE.TXT >> debian/copyright
	cat debian/copyright_stub_1 >> debian/copyright

clean: refresh_copyright regen-from-templates
	# remove any file generated from a template
	for file in *.in; do \
		# strip only the last .in from the name \
		filename=`echo $$file | sed -e "s|.in|$1|"` \
		rm -f $(filename); \
	done
	rm -f debian/$(PKG_driver).substvars

	dh clean

.PHONY: regen-from-templates
regen-from-templates:
	#Create important strings
	for i in 10fglrx \
			 control \
			 dkms.conf \
			 $(PKG_driver).install \
			 $(PKG_driver_dev).install \
			 $(PKG_driver_dev).links \
			 $(PKG_driver).dirs \
			 $(PKG_driver).links \
			 $(PKG_driver).postinst \
			 $(PKG_driver).postrm \
			 $(PKG_driver).preinst \
			 $(PKG_driver).prerm \
			 $(PKG_control).install \
			 $(PKG_control).dirs \
			 $(PKG_driver_core).install \
			 $(PKG_driver_core).links \
			 $(PKG_driver_core).dirs \
			 $(PKG_driver_core).postinst \
			 $(PKG_driver_core).postrm \
			 $(PKG_driver_core).preinst \
			 $(PKG_driver_core).prerm \
			 overrides/$(PKG_driver) \
			 overrides/$(PKG_driver_dev) \
			 overrides/$(PKG_driver_core) \
			 overrides/$(PKG_control); do \
		sed -e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
			-e "s|#LIBDIR#|$(libdir)|g" \
			-e "s|#LIBDIR32#|$(libdir32)|g" \
			-e "s|#BINDIR#|$(bindir)|g" \
			-e "s|#SBINDIR#|$(sbindir)|g" \
			-e "s|#SYSCONFDIR#|$(sysconfdir)|g" \
			-e "s|#MANDIR#|$(mandir)|g" \
			-e "s|#LDSOCONF#|$(ld_so_conf_path)|g" \
			-e "s|#ALTLDSOCONF#|$(alt_ld_so_conf_path)|g" \
			-e "s|#ALTPRIORITY#|$(alt_priority)|g" \
			-e "s|#PXALTPRIORITY#|$(PX_alt_priority)|g" \
			-e "s|#AUTOSTARTDIR#|$(autostartdir)|g" \
			-e "s|#DATADIR#|$(datadir)|g" \
			-e "s|#PKGDESKDIR#|$(PKG_deskdir)|g" \
			-e "s|#PKGDATADIR#|$(PKG_datadir)|g" \
			-e "s|#PKGCONFIGDIR#|$(PKG_configdir)|g" \
			-e "s|#PKGBINDIR#|$(PKG_bindir)|g" \
			-e "s|#PKGLIBDIR#|$(PKG_libdir)|g" \
			-e "s|#PKGLIBDIR32#|$(PKG_libdir32)|g" \
			-e "s|#PKGDRIVERSDIR#|$(PKG_driversdir)|g" \
			-e "s|#XORGEXTRA#|$(xorg_extra_modules)|g" \
			-e "s|#PKGEXTENSIONDIR#|$(PKG_extensionsdir)|g" \
			-e "s|#XORGEXTENSIONSDIR#|$(xorg_extensionsdir)|g" \
			-e "s|#DRIVERNAME#|$(PKG_driver)|g" \
			-e "s|#MODULENAME#|$(PKG_module)|g" \
			-e "s|#DRIVERDIRNAME#|$(PKG_dirname)|g" \
			-e "s|#DRIVERDEVNAME#|$(PKG_driver_dev)|g" \
			-e "s|#DRIVERSRCNAME#|$(PKG_source)|g" \
			-e "s|#DRIVERCORENAME#|$(PKG_driver_core)|g" \
			-e "s|#FLAVOUR#|$(PKG_flavour)|g" \
			-e "s|#DRIVERCTRLNAME#|$(PKG_control)|g" \
			-e "s|#INCLUDEDIR#|$(includedir)|g" \
			-e "s|#PKGLIBCONFDIR#|$(PKG_libconfdir)|g" \
			-e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
			-e "s|#PXDIR#|$(PX_dir)|g" \
			-e "s|#PXDIR32#|$(PX_dir32)|g" \
			-e "s|#PXXMODDIR#|$(PX_xmoddir)|g" \
			-e "s|#PXDIRNAME#|$(PX_dirname)|g" \
			-e "s|#PXLIBDIR#|$(PX_libdir)|g" \
			-e "s|#PXLIBDIR32#|$(PX_libdir32)|g" \
			-e "s|#PXLDSOCONF#|$(PX_ld_so_conf)|g" \
			-e "s|#ALTPXLDSOCONF#|$(PX_ld_so_conf_alt)|g" \
			-e "s|#COREDIRNAME#|$(CORE_dirname)|g" \
			-e "s|#COREDIR#|$(CORE_dir)|g" \
			-e "s|#COREDIR32#|$(CORE_dir32)|g" \
			-e "s|#CORELDSOCONF#|$(CORE_ld_so_conf)|g" \
			-e "s|#COREPRIORITY#|$(CORE_priority)|g" \
			-e "s|#UNBLKCOREPRIORITY#|$(UNBLKLST_CORE_priority)|g" \
			-e "s|#UNBLKCORELDSOCONF#|$(UNBLKLST_CORE_ld_so_conf)|g" \
			-e "s|#CVERSION#|$(CVERSION)|g" \
			-e "s|#SRCXARCH#|$(SRC_xarch)|g" \

## fglrx-installer 15.200

=== debian/changelog ===
fglrx-installer (2:15.200-0ubuntu4.2) vivid-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Aug 2015 11:13:16 +0200

fglrx-installer (2:15.200-0ubuntu4.1) vivid-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated.
  * debian/fglrx-amdcccle.preinst.in:
    - Make sure to remove amdcccle to ensure a smooth transition
      on dist-upgrade.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Jul 2015 16:48:22 +0200

fglrx-installer (2:15.200-0ubuntu4) vivid; urgency=medium

  * debian/control.in:
    - Allow the -core package to overwrite files that belong to
      fglrx. This prevents errors caused by the split into fglrx
      and fglrx-core when dist-upgrading (LP: #1443016).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 16 Apr 2015 12:08:46 +0200

fglrx-installer (2:15.200-0ubuntu3) vivid; urgency=medium

  * debian/control.in:
    - Drop circular dependency between fglrx and fglrx-amdcccle.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Apr 2015 10:08:05 +0200

fglrx-installer (2:15.200-0ubuntu2) vivid; urgency=medium

  * debian/control.in:
    - Provide opencl-icd (LP: #1129409).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 19 Mar 2015 12:25:58 +0100

fglrx-installer (2:15.200-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Add support for X ABI 19.
  * debian/control.in:
    - Drop conflicts/provides/replaces libopencl1 (LP: #1129409).
  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for X ABI 19.
  * debian/patches/series:
    - Drop amdxdg-su-add-support-for-pkexec.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 11 Mar 2015 16:03:18 +0100

fglrx-installer (2:14.501-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - OpenCL 2.0 support (requires 64-bit OS and compatible AMD
      Radeon™ R Series GPU).
    - VAAPI decoding support (H264, VC1, MPEG2, MPEG4).
    - Fixed unexpected pixmap's timestamp change with composite
      enabled that caused Linux Khronos CTS to randomly fail.
  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.19.patch:
    - Add support for Linux 3.19.
  * debian/patches/series:
    - Re-apply amdxdg-su-add-support-for-pkexec.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 28 Jan 2015 16:12:21 +0100

fglrx-installer (2:14.201-0ubuntu3) vivid; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.17.patch:
    - Add support for Linux 3.17 and 3.18.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Nov 2014 18:33:22 +0100

=== debian/control ===
--- 
+++ 
@@ -27,9 +27,9 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
  ${misc:Depends}
-Provides: fglrx-driver-core, libopencl1
-Conflicts: fglrx-driver-core, libopencl1
-Replaces: fglrx-driver-core, libopencl1
+Provides: fglrx-driver-core, opencl-icd
+Conflicts: fglrx-driver-core
+Replaces: fglrx-driver-core, fglrx
 Description: Minimal video driver for the AMD graphics accelerators
  Minimal video driver for the AMD Radeon and FireGL graphics accelerators.
  .
@@ -63,9 +63,9 @@
 
 Package: fglrx-amdcccle
 Architecture: amd64 i386
-Depends: fglrx, policykit-1, ${shlibs:Depends}, ${misc:Depends}
+Depends: policykit-1, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: fglrx-control-qt2, fglrx-control
-Replaces: fglrx-control, fglrx-amdcccle
+Replaces: fglrx-control, fglrx-amdcccle, fglrx
 Provides: fglrx-control
 Description: Catalyst Control Center for the AMD graphics accelerators
  Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.

=== debian/rules ===
--- 
+++ 
@@ -166,6 +166,7 @@
 			 $(PKG_driver).prerm \
 			 $(PKG_control).install \
 			 $(PKG_control).dirs \
+			 $(PKG_control).preinst \
 			 $(PKG_driver_core).install \
 			 $(PKG_driver_core).links \
 			 $(PKG_driver_core).dirs \
@@ -227,4 +228,3 @@
 			-e "s|#UNBLKCOREPRIORITY#|$(UNBLKLST_CORE_priority)|g" \
 			-e "s|#UNBLKCORELDSOCONF#|$(UNBLKLST_CORE_ld_so_conf)|g" \
 			-e "s|#CVERSION#|$(CVERSION)|g" \
-			-e "s|#SRCXARCH#|$(SRC_xarch)|g" \

## fglrx-installer 15.201

=== debian/changelog ===
fglrx-installer (2:15.201-0ubuntu1) wily; urgency=medium

  * New upstream release (Catalyst 15.9):
    - Fixed issues:
      + [424450] Company of Heroes® 2 - Game crashes while running
        the performance test.
      + [424794] Middle-earth™: Shadow of Mordor - Corruption
        observed in game.
      + [424882] DIRT® Showdown - Corruption observed in game.
      + [425234] DIRT® Showdown - Game crashes after the loading
        screen.
      + [424802] DOTA™ 2 – Application hang observed while exiting
        the game.
      + [423471] Unable to switch desktop mode after installing AMD
        Catalyst™ driver.
      + [423735] Renaming Counter-Strike: GO and other Steam game
        binary improves performance.
  * debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch,
    debian/dkms/patches/buildfix_kernel_4.2.fpregs_active.patch,
    debian/dkms/patches/buildfix_kernel_4.2.copy_xregs_to_kernel.patch:
    - Refresh patches for the new release.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 17 Sep 2015 18:29:23 +0200

fglrx-installer (2:15.200.1-0ubuntu4) wily; urgency=medium

  [ Tim Gardner ]
  * Two more patches for i386 Linux 4.2-rc8 support:
    debian/dkms/patches/buildfix_kernel_4.2.fpregs_active.patch
      Change the name of a structure tag from has_fpu to fpregs_active.
    debian/dkms/patches/buildfix_kernel_4.2.copy_xregs_to_kernel.patch
      Open code copy_xregs_to_kernel() with a debug reference to a GPL
      symbol 'alternatives_patched' commented out.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 26 Aug 2015 11:20:03 +0200

fglrx-installer (2:15.200.1-0ubuntu3) wily; urgency=medium

  * debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Refresh to fix a build failure on i386.
  * debian/dkms.conf.in,
    debian/dkms/patches/ignore-GCC-mismatch.patch:
    - Ignore GCC mismatch (LP: #1483695).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 12 Aug 2015 17:29:38 +0200

fglrx-installer (2:15.200.1-0ubuntu2) wily; urgency=medium

  * debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Refresh the patches for Linux 4.1.3.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 24 Jul 2015 17:21:59 +0200

fglrx-installer (2:15.200.1-0ubuntu1) wily; urgency=medium

  * New upstream release (Catalyst 15.7):
    - AMD PowerXpress support for laptops equipped with Intel
      6th generation (Skylake) CPUs.
    - Linux Platform Atomics & SVM Fine Grain Buffer support
      for Carrizo APUs.
    - Multi-Device support for OpenCL 2.0.
  * debian/control.in,
    debian/fglrx-core.maintscript,
    debian/fglrx-core.install.in,
    debian/fglrx-core.postinst.in:
    - Migrate the files in /etc/ati from fglrx to fglrx-core.
  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.1.
    - Add support for Linux 4.2.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 14 Jul 2015 11:59:59 +0200

fglrx-installer (2:15.200-0ubuntu7) wily; urgency=medium

  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated (LP: #1471661).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Jul 2015 11:44:42 +0200

fglrx-installer (2:15.200-0ubuntu6) wily; urgency=medium

  * debian/rules:
    - Remove duplicate "done"s.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Jul 2015 12:39:22 +0200

fglrx-installer (2:15.200-0ubuntu5) wily; urgency=medium

  *  debian/dkms.conf.in,
     debian/dkms/patches/buildfix_kernel_4.0.patch:
     - Add support for Linux 4.0.
  *  debian/rules:
     - Apply the setgid bit and the execute bit to amd-console-helper.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 05 Jun 2015 17:33:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 8.1.0~),
                dh-modaliases,
                libxext6,
                libxrandr2,
@@ -25,6 +25,7 @@
 
 Package: fglrx-core
 Architecture: amd64 i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
  ${misc:Depends}
 Provides: fglrx-driver-core, opencl-icd
@@ -38,6 +39,7 @@
 Package: fglrx
 Architecture: amd64 i386
 Recommends: fglrx-amdcccle
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, fglrx-core,
  ${xviddriver:Depends}, ${misc:Depends}
 Provides: fglrx-driver, xorg-driver-binary, ${xviddriver:Provides}

=== debian/rules ===
--- 
+++ 
@@ -166,7 +166,7 @@
 			 $(PKG_driver).prerm \
 			 $(PKG_control).install \
 			 $(PKG_control).dirs \
-			 $(PKG_control).preinst \
+			 $(PKG_control).preinst.in \
 			 $(PKG_driver_core).install \
 			 $(PKG_driver_core).links \
 			 $(PKG_driver_core).dirs \

## fglrx-installer 15.201-0ubuntu1~somerville1.biz.vivid.skl3

=== debian/changelog ===
fglrx-installer (2:15.201-0ubuntu1~somerville1.biz.vivid.skl3) trusty; urgency=medium

  * Bump version rebuild. 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 12 Oct 2015 17:10:38 +0800

fglrx-installer (2:15.201-0ubuntu1~somerville1.biz.vivid.skl2) trusty; urgency=medium

  * Fix dkms build fail issue.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 06 Oct 2015 18:22:43 +0800

fglrx-installer (2:15.201-0ubuntu1~somerville1.biz.vivid.skl1) trusty; urgency=medium

  * Source format 1.0.
  * DKMS patches for build with -27 kernel. (LP: #1487379)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 06 Oct 2015 17:23:20 +0800

fglrx-installer (2:15.201-0ubuntu1) utopic; urgency=low

  * New upstream release.

 -- AMD: Advanced Micro Devices. <http://ati.amd.com/support/driver.html>  Tue, 06 Oct 2015 17:20:30 +0800

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Recommends: fglrx-amdcccle
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, fglrx-core,
- ${xviddriver:Depends}, ${misc:Depends}
+ ${misc:Depends}
 Provides: fglrx-driver, xorg-driver-binary, ${xviddriver:Provides}
 Conflicts: fglrx-driver, xorg-driver-binary
 Replaces: fglrx-driver, xorg-driver-binary
@@ -67,7 +67,7 @@
 Architecture: amd64 i386
 Depends: policykit-1, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: fglrx-control-qt2, fglrx-control
-Replaces: fglrx-control, fglrx-amdcccle, fglrx
+Replaces: fglrx-control, fglrx-amdcccle
 Provides: fglrx-control
 Description: Catalyst Control Center for the AMD graphics accelerators
  Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.

## fglrx-installer 15.201-0ubuntu1~somerville2.1006ga.160310a.300334c

=== debian/changelog ===
fglrx-installer (2:15.201-0ubuntu1~somerville2.1006ga.160310a.300334c) trusty; urgency=medium

  * Bump version 

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Mon, 14 Mar 2016 12:35:34 +0800

fglrx-installer (2:15.201-0ubuntu1~somerville1.1006ga.160310a.300334c) trusty; urgency=medium

  * New upstream release. (LP: #1549724)

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Fri, 11 Mar 2016 17:24:35 +0800

fglrx-installer (2:15.201-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- AMD: Advanced Micro Devices. <http://ati.amd.com/support/driver.html>  Fri, 11 Mar 2016 17:19:36 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 7),
                dh-modaliases,
                libxext6,
                libxrandr2,
@@ -25,7 +25,6 @@
 
 Package: fglrx-core
 Architecture: amd64 i386
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
  ${misc:Depends}
 Provides: fglrx-driver-core, opencl-icd
@@ -39,7 +38,6 @@
 Package: fglrx
 Architecture: amd64 i386
 Recommends: fglrx-amdcccle
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, fglrx-core,
  ${misc:Depends}
 Provides: fglrx-driver, xorg-driver-binary, ${xviddriver:Provides}

## fglrx-installer 15.201-0ubuntu1~somerville2.degasamd2.1006ga.160310a.300334c

=== debian/changelog ===
fglrx-installer (2:15.201-0ubuntu1~somerville2.degasamd2.1006ga.160310a.300334c) trusty; urgency=medium

  * Bump version 

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Mon, 14 Mar 2016 12:35:34 +0800

=== debian/rules ===
--- 
+++ 
@@ -166,7 +166,6 @@
 			 $(PKG_driver).prerm \
 			 $(PKG_control).install \
 			 $(PKG_control).dirs \
-			 $(PKG_control).preinst.in \
 			 $(PKG_driver_core).install \
 			 $(PKG_driver_core).links \
 			 $(PKG_driver_core).dirs \
@@ -228,3 +227,4 @@
 			-e "s|#UNBLKCOREPRIORITY#|$(UNBLKLST_CORE_priority)|g" \
 			-e "s|#UNBLKCORELDSOCONF#|$(UNBLKLST_CORE_ld_so_conf)|g" \
 			-e "s|#CVERSION#|$(CVERSION)|g" \
+			-e "s|#SRCXARCH#|$(SRC_xarch)|g" \

## fglrx-installer 15.201-0ubuntu1~somerville3.degasamd3.1006ga.160310a.300334c

=== debian/changelog ===
fglrx-installer (2:15.201-0ubuntu1~somerville3.degasamd3.1006ga.160310a.300334c) trusty; urgency=medium

  * Add kcl_acpi patch. (LP: 1598721)

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Mon, 11 Jul 2016 14:49:17 +0800

## fglrx-installer 15.201.2

=== lib/modules/fglrx/build_mod/2.6.x/Makefile ===
# Copyright (c) 2008 Advanced Micro Devices. All Rights Reserved.
# 
# Redistribution and  use  in  source  and  binary  forms,  with  or  without
# modification, are permitted provided that the following conditions are met:
# 
# 1. Redistributions of source code must retain the above  copyright  notice,
# this list of conditions and the following disclaimer.
# 
# 2. Redistributions in  binary  form  must  reproduce  the  above  copyright
# notice, this list  of  conditions  and  the  following  disclaimer  in  the
# documentation and/or other materials provided with the distribution.
# 
# 3. The name of the author may not be used to endorse  or  promote  products
# derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR  IMPLIED
# WARRANTIES, INCLUDING, BUT  NOT  LIMITED  TO,  THE  IMPLIED  WARRANTIES  OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN  NO
# EVENT SHALL THE AUTHOR BE LIABLE  FOR  ANY  DIRECT,  INDIRECT,  INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT  LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;  LOSS  OF  USE,  DATA,  OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED  AND  ON  ANY  THEORY  OF
# LIABILITY, WHETHER  IN  CONTRACT,  STRICT  LIABILITY,  OR  TORT  (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING  IN  ANY  WAY  OUT  OF  THE  USE  OF  THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LIBIP_PREFIX	?= ..

obj-m           += fglrx.o
fglrx-libs      += libfglrx_ip.a

fglrx-c-objs    += firegl_public.o      \
                   kcl_acpi.o           \
                   kcl_agp.o            \
                   kcl_debug.o          \
                   kcl_ioctl.o          \
                   kcl_io.o             \
                   kcl_pci.o            \
                   kcl_str.o            \
                   kcl_iommu.o          \
                   kcl.o                \
                   kcl_wait.o

fglrx-objs      += $(fglrx-c-objs) $(fglrx-libs)

fglrx-hdrs      += firegl_public.h      \
                   fglrxko_pci_ids.h    \
                   kcl_acpi.h           \
                   kcl_agp.h            \
                   kcl_config.h         \
                   kcl_debug.h          \
                   kcl_io.h             \
                   kcl_ioctl.h          \
                   kcl_osconfig.h       \
                   kcl_pci.h            \
                   kcl_str.h            \
                   kcl.h                \
                   kcl_iommu.h          \
                   kcl_type.h           \
                   kcl_wait.h
                   
drm-hdrs        += drm.h drmP.h drm_os_linux.h drm_proc.h drm_compat.h

EXTRA_CFLAGS    += \
                -I$(PWD) \
                -DFGL \
                -DFGL_LINUX \
                -DFGL_GART_RESERVED_SLOT \
                -DFGL_LINUX253P1_VMA_API \
                -DPAGE_ATTR_FIX=$(PAGE_ATTR_FIX) \

ifeq ($(KERNELRELEASE),)
# on first call from remote location we get into this path
# whilst on second call all is managed by the embedding kernel makefile

ifeq ($(KVER),)
	KVER        = $(shell uname -r)
endif

KDIR            = /lib/modules/$(KVER)/build
PWD             = $(shell pwd)

fglrx-cfiles    = ${fglrx-c-objs:.o=.c}

# default:: kmod_build

kmod_build:: $(fglrx-libs) $(fglrx-cfiles) $(fglrx-hdrs) $(drm-hdrs)
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

%.c:
	@ln -s ../$@

%.h:
	@ln -s ../$@

%.a:
	@ln -s $(LIBIP_PREFIX)/$@

# distclean:: clean

clean::
	rm -rf *.c *.h *.o *.ko *.a .??* *.symvers

endif

# ### EOF ###

=== debian/changelog ===
fglrx-installer (2:15.201.2-0ubuntu0.14.04.1) trusty-proposed; urgency=medium

  * Avoid triggering any prompts for /etc (LP: #1511301).
  * Revert the previous change to etc/ati in the sources.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 14 Mar 2017 11:38:19 +0100

fglrx-installer (2:15.201.1-0ubuntu0.14.04.1) trusty-proposed; urgency=medium

  * Bump the release replacing etc/ati so that we don't trigger a bug in
    software updater (LP: #1511301).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 07 Mar 2017 17:18:45 +0100

fglrx-installer (2:15.201-0ubuntu0.14.04.3) trusty-proposed; urgency=medium

  * debian/control.in,
    debian/fglrx-core.postinst.in,
    debian/fglrx.preinst.in,
    debian/fglrx.postinst.in,
    debian/fglrx.dirs.in,
    debian/rules:
    - Make sure that fglrx pre-depends on fglrx-core.
    - Back up and restore the files that the old fglrx
      removes when upgrading (LP: #1511301).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Mar 2017 12:31:35 +0100

fglrx-installer (2:15.201-0ubuntu0.14.04.2) trusty-proposed; urgency=medium

  * debian/fglrx.{pre|post}inst.in:
    - Make sure to also migrate the real ati configuration dir, not
      only the symlinks, or the upgrade will fail (LP: #1511301).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 Feb 2017 17:01:32 +0100

fglrx-installer (2:15.201-0ubuntu0.14.04.1) trusty-proposed; urgency=medium

  * New upstream release (Catalyst 15.9):
    - Fixed issues:
      + [424450] Company of Heroes® 2 - Game crashes while running
        the performance test.
      + [424794] Middle-earth™: Shadow of Mordor - Corruption
        observed in game.
      + [424882] DIRT® Showdown - Corruption observed in game.
      + [425234] DIRT® Showdown - Game crashes after the loading
        screen.
      + [424802] DOTA™ 2 – Application hang observed while exiting
        the game.
      + [423471] Unable to switch desktop mode after installing AMD
        Catalyst™ driver.
      + [423735] Renaming Counter-Strike: GO and other Steam game
        binary improves performance.
  * debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch,
    debian/dkms/patches/buildfix_kernel_4.2.fpregs_active.patch,
    debian/dkms/patches/buildfix_kernel_4.2.copy_xregs_to_kernel.patch:
    - Refresh patches for the new release.
    - Add support for Linux 4.2 (LP: #1518958)
  * debian/rules:
    - Blacklist the amdgpu driver, so that fglrx can be loaded
      on the systems where the GPU is supported by amdgpu.
  * debian/substvars:
    - Add support for X ABI 19.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 27 Nov 2015 16:22:04 +0100

fglrx-installer (2:15.200-0ubuntu0.6) trusty-proposed; urgency=medium

  * debian/fglrx.preinst.in:
    - Remove /etc/ati in the migration from the non -core packages
      even when the directory is not a symlink (LP: #1511301).
      Thanks to Kai-Heng Feng for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 09 Nov 2015 13:17:02 +0100

fglrx-installer (2:15.200-0ubuntu0.5) trusty-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 17 Aug 2015 16:48:12 +0200

fglrx-installer (2:15.200-0ubuntu0.4) trusty-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Jul 2015 09:15:06 +0200

fglrx-installer (2:15.200-0ubuntu0.3) trusty-proposed; urgency=medium

  * debian/fglrx.preinst.in, debian/fglrx.postinst.in:
    - Work around regression when upgrading from releases that do
      not have the -core package. For some reason, the
      update-alternatives command would remove newly installed
      files when previous versions of the same files belonged to
      the previous alternative (LP: #1443016, LP: #1129409).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Apr 2015 17:00:05 +0200

fglrx-installer (2:15.200-0ubuntu0.2) trusty-proposed; urgency=medium

  * debian/control.in:
    - Allow the -core package to overwrite files that belong to
      fglrx. This prevents errors caused by the split into fglrx
      and fglrx-core (LP: #1443016, LP: #1129409).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 16 Apr 2015 12:01:05 +0200

fglrx-installer (2:15.200-0ubuntu0.1) trusty-proposed; urgency=medium

  * New upstream release:
    - Add support for X ABI 19.
  * debian/control.in, debian/com.ubuntu.amdcccle.pkexec.policy,
    debian/rules, debian/fglrx.dirs.in,
    debian/fglrx.install.in,
    debian/fglrx.links.in,
    debian/fglrx.postinst.in,
    debian/fglrx.postrm.in,
    debian/fglrx.preinst.in,
    debian/fglrx.prerm.in,
    debian/fglrx.grub-gfxpayload.in,
    debian/overrides/fglrx.in,
    debian/overrides/fglrx-core.in,
    debian/overrides/fglrx-dev.in,
    debian/fglrx-amdcccle.dirs.in,
    debian/fglrx-amdcccle.install.in,
    debian/fglrx-core.dirs.in,
    debian/fglrx-core.links.in,
    debian/fglrx-core.postinst.in,
    debian/fglrx-core.postrm.in,
    debian/fglrx-core.preinst.in,
    debian/fglrx-core.prerm.in,
    debian/fglrx-core.postrm.in:
    - Drop conflicts/provides/replaces libopencl1 and provide
      opencl-icd (LP: #1129409).
    - Make amdcccle depend on polkit-1.
    - Use pkexec for amdcccle when running Unity.


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 8.1.0~),
                dh-modaliases,
                libxext6,
                libxrandr2,
@@ -25,6 +25,7 @@
 
 Package: fglrx-core
 Architecture: amd64 i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
  ${misc:Depends}
 Provides: fglrx-driver-core, opencl-icd
@@ -38,8 +39,9 @@
 Package: fglrx
 Architecture: amd64 i386
 Recommends: fglrx-amdcccle
+Pre-Depends: fglrx-core,  ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, fglrx-core,
- ${misc:Depends}
+ ${xviddriver:Depends}, ${misc:Depends}
 Provides: fglrx-driver, xorg-driver-binary, ${xviddriver:Provides}
 Conflicts: fglrx-driver, xorg-driver-binary
 Replaces: fglrx-driver, xorg-driver-binary
@@ -65,7 +67,7 @@
 Architecture: amd64 i386
 Depends: policykit-1, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: fglrx-control-qt2, fglrx-control
-Replaces: fglrx-control, fglrx-amdcccle
+Replaces: fglrx-control, fglrx-amdcccle, fglrx
 Provides: fglrx-control
 Description: Catalyst Control Center for the AMD graphics accelerators
  Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.

=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,11 @@
 CORE_libdir := $(CORE_dir)/lib
 CORE_libdir32 := $(CORE_dir32)/lib
 
+PKG_driver_core_bck_dir := usr/share/fglrx-core-backup
+PKG_driver_bck_dir := usr/share/fglrx-backup
+PKG_control_bck_dir := usr/share/fglrx-amdcccle-backup
+
+
 # This is remove fglrx from the blacklist
 UNBLKLST_CORE_ld_so_conf_file  := unblacklist_ld.so.conf
 UNBLKLST_CORE_ld_so_conf := $(CORE_dir)/$(UNBLKLST_CORE_ld_so_conf_file)
@@ -128,6 +133,10 @@
 alias fglrx $(PKG_module)
 alias radeon off
 alias lbm-radeon off
+
+blacklist amdgpu
+alias amdgpu off
+alias lbm-amdgpu off
 endef
 
 # DEB_DH_SHLIBDEPS_ARGS_ALL="-Xlib32"
@@ -223,8 +232,3 @@
 			-e "s|#COREDIR#|$(CORE_dir)|g" \
 			-e "s|#COREDIR32#|$(CORE_dir32)|g" \
 			-e "s|#CORELDSOCONF#|$(CORE_ld_so_conf)|g" \
-			-e "s|#COREPRIORITY#|$(CORE_priority)|g" \
-			-e "s|#UNBLKCOREPRIORITY#|$(UNBLKLST_CORE_priority)|g" \
-			-e "s|#UNBLKCORELDSOCONF#|$(UNBLKLST_CORE_ld_so_conf)|g" \
-			-e "s|#CVERSION#|$(CVERSION)|g" \
-			-e "s|#SRCXARCH#|$(SRC_xarch)|g" \
